﻿/*
 *************************************
 * RightWriter Demo
 * http://www.FlepStudio.org         
 * © Author: Filippo Lughi           
 * version 1.0                       
 *************************************
 */
package
{
	import flash.display.*;
	import flash.events.*;
	import flash.text.*;
	import flash.utils.*;
	import flash.net.*;
	import fl.transitions.*;
	import fl.transitions.easing.*;
	import caurina.transitions.Tweener;
	import com.jumpeye.Events.TXEFFEvents;
	
	public class Demo extends MovieClip
	{
		/*******SET THE TIME OF LOOP*******/
		private const LOOP_INTERVAL:Number=15000;
		
		private var screen_1_array:Array;
		private var screen_6_array:Array;
		private var xx_array:Array=new Array();;
		
		public function Demo()
		{
			addEventListener(Event.ADDED_TO_STAGE,init);
		}
		
		private function init(Evt:Event):void
		{
			removeEventListener(Event.ADDED_TO_STAGE,init);
			
			stage.frameRate=31;
			
			screen_1_array=new Array(screen_1_mc.clip_0_mc,screen_1_mc.clip_1_mc,screen_1_mc.clip_2_mc,screen_1_mc.clip_3_mc,screen_1_mc.clip_4_mc,
												screen_1_mc.clip_5_mc,screen_1_mc.clip_6_mc,screen_1_mc.clip_7_mc,screen_1_mc.clip_8_mc,screen_1_mc.clip_9_mc);
			screen_6_array=new Array(screen_6_mc.clip_0_mc,screen_6_mc.clip_1_mc,screen_6_mc.clip_2_mc,screen_6_mc.clip_3_mc,screen_6_mc.clip_4_mc,
								screen_6_mc.clip_5_mc,screen_6_mc.clip_6_mc,screen_6_mc.clip_7_mc,screen_6_mc.clip_8_mc);
			
			
			logo_mc.alpha=0;
			name_mc.alpha=0;
			help_mc.alpha=0;
			woman_1_mc.alpha=0;
			screen_3_mc.alpha=0;
			shot_1_mc.alpha=0;
			help2_mc.alpha=0;
			for(var i:int=0;i<screen_6_array.length;i++)
			{
				screen_6_array[i].xx=screen_6_array[i].x;
				xx_array.push(screen_6_array[i].xx);
				screen_6_array[i].alpha=0;
				screen_6_array[i].x=500;
			}
			last_screen_mc.visible=false;
			
			flashClip(bg_mc);
			moveInLogo();
			moveOutLogo();
		}
		
		private function flashClip(mov:MovieClip):void
		{
			TransitionManager.start(mov,{type:Photo,direction:Transition.IN,duration:.7,easing:Regular.easeOut});
		}
		
		private function moveInLogo():void
		{
			Tweener.addTween(logo_mc,{x:stage.stageWidth/2-logo_mc.width/2,alpha:1,delay:0.3,time:0.7,transition:"easeInOutElastic"});
		}
		
		private function moveOutLogo():void
		{
			Tweener.addTween(logo_mc,{x:stage.stageWidth/2+10,alpha:0,delay:2,time:0.7,transition:"easeInOutElastic",onComplete:displayNameAndHelp});
		}
		
		private function displayNameAndHelp():void
		{
			name_mc.visible=true;
			help_mc.visible=true;
			
			Tweener.addTween(name_mc,{alpha:1,time:0.7,transition:"regular"});
			Tweener.addTween(help_mc,{alpha:1,time:0.7,transition:"regular"});
			
			Tweener.addTween(name_mc,{alpha:0,time:0.7,delay:2.5,transition:"regular"});
			Tweener.addTween(help_mc,{alpha:0,time:0.7,delay:2.5,transition:"regular",onComplete:goScreen_1});
		}
		
		private function goScreen_1():void
		{
			Tweener.addTween(box_mc,{y:8,time:0.7,transition:"easeInOutElastic",onComplete:showScreen1Text});
		}
		
		private function showScreen1Text():void
		{
			for(var i:int=0;i<screen_1_array.length;i++)
			{
				screen_1_array[i].alpha=0;
				screen_1_array[i].x=300;
			}
			
			screen_1_mc.x=3;
			screen_1_mc.y=68;
			
			for(var j:int=0;j<screen_1_array.length;j++)
			{
				if(j<screen_1_array.length-1)
					Tweener.addTween(screen_1_array[j],{alpha:1,x:0,time:0.7,delay:j*0.4,transition:"regular"});
				else
					Tweener.addTween(screen_1_array[j],{alpha:1,x:0,time:0.7,delay:j*0.4,transition:"regular",onComplete:callHighLights});
			}
		}
		
		private function callHighLights():void
		{
			highLightText(screen_1_array);
		}
		
		private function highLightText(arr:Array):void
		{
			var timer:Timer=new Timer(1500,arr.length);
			timer.addEventListener(TimerEvent.TIMER,go);
			timer.addEventListener(TimerEvent.TIMER_COMPLETE,removeScreen1);
			timer.start();
			
			function go(evt:TimerEvent):void
			{
				box_mc.alpha=.5;
				TransitionManager.start(arr[evt.target.currentCount-1],{type:Photo,direction:Transition.IN,duration:.7,easing:Regular.easeOut});
				Tweener.addTween(arr[evt.target.currentCount-1],{x:30,time:0.7,transition:"regular"});
			}
			
			function removeScreen1(evt:TimerEvent):void
			{
				for(var j:int=arr.length-1;j>=0;j--)
				{
					if(j>0)
						Tweener.addTween(arr[j],{alpha:0,time:0.2,delay:j*0.2,transition:"regular"});
					else
						Tweener.addTween(arr[j],{alpha:0,time:0.2,delay:j*0.2,transition:"regular",onComplete:removeBox});
				}
			}
			
			function removeBox():void
			{
				Tweener.addTween(box_mc,{y:-200,alpha:0,time:0.7,transition:"regular",onComplete:goScreen_2});
			}
		}
		
		private function goScreen_2():void
		{
			woman_1_mc.alpha=1;
			my_eff.show();
			
			var timer:Timer=new Timer(2000,3);
			timer.addEventListener(TimerEvent.TIMER,showScreen2Writings);
			timer.start();
		}
		
		private function showScreen2Writings(evt:TimerEvent):void
		{
			screen_2_mc.x=67;
			screen_2_mc.y=24;
			
			if(evt.target.currentCount==1)
				screen_2_mc.txeff_1.show();
			if(evt.target.currentCount==2)
				screen_2_mc.txeff_2.show();
			if(evt.target.currentCount==3)
				screen_2_mc.txeff_3.show();
				
			screen_2_mc.txeff_3.addEventListener(TXEFFEvents.TRANSITION_END,completeHandler);
		}
		
		private function completeHandler(evt:TXEFFEvents):void
		{
			screen_2_mc.txeff_3.removeEventListener(TXEFFEvents.TRANSITION_END,completeHandler);
			var timer:Timer=new Timer(2000,1);
			timer.addEventListener(TimerEvent.TIMER,displayScreen3);
			timer.start();
			screen_2_mc.txeff_1.hide();
			screen_2_mc.txeff_2.hide();
			screen_2_mc.txeff_3.hide();
		}
		
		private function displayScreen3(evt:TimerEvent):void
		{
			screen_3_mc.x=screen_3_mc.y=0;
			Tweener.addTween(woman_1_mc,{alpha:0,time:2,transition:"regular"});
			Tweener.addTween(screen_2_mc,{alpha:0,time:2,transition:"regular"});
			Tweener.addTween(screen_3_mc,{alpha:0.5,time:2,transition:"regular",onComplete:displayScreen3Writings});
		}
		
		private function displayScreen3Writings():void
		{
			my_eff_4.show();
			var timer:Timer=new Timer(5000,1);
			timer.addEventListener(TimerEvent.TIMER,goShot1);
			timer.start();
			
			function goShot1(evt:TimerEvent):void
			{
				my_eff_4.hide();
				my_eff_4.addEventListener(TXEFFEvents.TRANSITION_END,completeHandler2);
				shot_1_mc.x=shot_1_mc.y=0;
				Tweener.addTween(screen_3_mc,{alpha:0,time:2,transition:"regular"});
				Tweener.addTween(shot_1_mc,{alpha:0.5,time:2,transition:"regular"});
			}
			
			function completeHandler2(evt:TXEFFEvents):void
			{
				my_eff_4.removeEventListener(TXEFFEvents.TRANSITION_END,completeHandler2);
				myeff_5.show();
				var timer2:Timer=new Timer(7000,1);
				timer2.addEventListener(TimerEvent.TIMER,displayScreen4);
				timer2.start();
			}
		}
		
		private function displayScreen4(evt:TimerEvent):void
		{
			myeff_5.hide();
			var timer:Timer=new Timer(3000,1);
			timer.addEventListener(TimerEvent.TIMER,goShot2);
			timer.start();
			function goShot2(evt:TimerEvent):void
			{
				Tweener.addTween(shot_1_mc,{alpha:0,time:2,transition:"regular"});
				flasheff_2.show();
				var timer2:Timer=new Timer(7000,1);
				timer2.addEventListener(TimerEvent.TIMER,displayScreen5);
				timer2.start();
			}
		}
		
		private function displayScreen5(evt:TimerEvent):void
		{
			flasheff_2.hide();
			var timer:Timer=new Timer(1500,1);
			timer.addEventListener(TimerEvent.TIMER,go);
			timer.start();
			function go(evt:TimerEvent):void
			{
				Tweener.addTween(help2_mc,{alpha:1,x:138,time:1,transition:"easeInOutElastic"});
				my_eff_6.show();
				my_eff_6.addEventListener(TXEFFEvents.TRANSITION_END,displayScreen6);
			}
		}
		
		private function displayScreen6(evt:TXEFFEvents):void
		{
			my_eff_6.removeEventListener(TXEFFEvents.TRANSITION_END,displayScreen6);
			var timer:Timer=new Timer(6000,1);
			timer.addEventListener(TimerEvent.TIMER,go2);
			timer.start();
			
			function go2(evt:TimerEvent):void
			{
				Tweener.addTween(help2_mc,{alpha:0,x:320,time:1,transition:"easeInOutElastic"});
				my_eff_6.hide();
				var timer2:Timer=new Timer(1500,1);
				timer2.addEventListener(TimerEvent.TIMER,go3);
				timer2.start();
			}
			function go3(evt:TimerEvent):void
			{
				eff_6.show();
				var timer3:Timer=new Timer(1500,1);
				timer3.addEventListener(TimerEvent.TIMER,go4);
				timer3.start();
			}
			function go4(evt:TimerEvent):void
			{
				graph_mc.alpha=0.5;
				
				for(var i:int=0;i<screen_6_array.length;i++)
				{
					if(i<screen_6_array.length-1)
						Tweener.addTween(screen_6_array[i],{alpha:1,x:xx_array[i],delay:i*1.5,time:0.7,transition:"easeInOutElastic"});
					else
						Tweener.addTween(screen_6_array[i],{alpha:1,x:xx_array[i],delay:i*1.5,time:0.7,transition:"easeInOutElastic",onComplete:displayLastScreen});
				}
			}
		}
		
		private function displayLastScreen():void
		{
			Tweener.addTween(graph_mc,{alpha:0,time:0.,transition:"easeInOutElastic"});
			for(var i:int=0;i<screen_6_array.length;i++)
			{
				if(i<screen_6_array.length-1)
					Tweener.addTween(screen_6_array[i],{alpha:0,x:500,delay:i*.2,time:0.7,transition:"easeInOutElastic"});
				else
					Tweener.addTween(screen_6_array[i],{alpha:0,x:500,delay:i*.2,time:0.7,transition:"easeInOutElastic"});
			}
				
			var timer:Timer=new Timer(1500,1);
			timer.addEventListener(TimerEvent.TIMER,go);
			timer.start();
			
			function go(evt:TimerEvent):void
			{
				last_screen_mc.visible=true;
				TransitionManager.start(last_screen_mc,{type:Photo,direction:Transition.IN,duration:.7,easing:Regular.easeOut});
				last_screen_mc.buy_mc.mouseChildren=false;
				//last_screen_mc.buy_mc.buttonMode=true;
				//last_screen_mc.buy_mc.addEventListener(MouseEvent.MOUSE_DOWN,setDown);
				
				var timer2:Timer=new Timer(LOOP_INTERVAL,1);
				timer2.addEventListener(TimerEvent.TIMER,reset);
				timer2.start();
			}
		}
		
		private function setDown(evt:MouseEvent):void
		{
			var request:URLRequest=new URLRequest("https://ssl.clickbank.net/order/orderform.html?time=1220594198&vvvv=656d35373831&item=5&titl=&vvar=&name=&emal=&ctry=&zipc=&");
			navigateToURL(request,"_parent");
		}
		
		private function reset(evt:TimerEvent):void
		{
			box_mc.x=160;
			box_mc.y=-200;
			box_mc.alpha=1;
			logo_mc.alpha=0;
			name_mc.alpha=0;
			help_mc.alpha=0;
			woman_1_mc.alpha=0;
			screen_2_mc.alpha=1;
			screen_3_mc.alpha=1;
			screen_3_mc.x=523;
			shot_1_mc.alpha=0;
			help2_mc.alpha=0;
			//graph_mc.alpha=1;
			for(var i:int=0;i<screen_6_array.length;i++)
			{
				screen_6_array[i].alpha=0;
				screen_6_array[i].x=500;
			}
			last_screen_mc.visible=false;
			
			flashClip(bg_mc);
			moveInLogo();
			moveOutLogo();
		}
	}
}